-- +goose Up
-- +goose StatementBegin
CREATE TABLE IF NOT EXISTS CardPrinting (
	Id VARCHAR(37) PRIMARY KEY, -- GUID, plus one character for foil/nonfoil
	Name VARCHAR(150) NOT NULL,
	SetCode VARCHAR(6) NOT NULL,
	FOREIGN KEY (SetCode) REFERENCES ExpansionSet(SetCode),
	IsFoil BOOLEAN NOT NULL,
	IsPromo BOOLEAN NOT NULL,
	CollectorNumber VARCHAR(10) NOT NULL,
	ImageUrl VARCHAR(100) NOT NULL,
	Language VARCHAR(3) NOT NULL
);
-- +goose StatementEnd

-- +goose Down
-- +goose StatementBegin
DROP TABLE IF EXISTS CardPrinting;
-- +goose StatementEnd
